Name:           jakarta-json
Version:        2.1.3
Release:        %mkrel 2
Summary:        Jakarta JSON Processing
Group:          Development/Java

License:        EPL-2.0 OR GPL-2.0-only WITH Classpath-exception-2.0
URL:            https://projects.eclipse.org/projects/ee4j.jsonp
Source0:        https://github.com/jakartaee/jsonp-api/archive/%{version}-RELEASE.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-compiler-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-jar-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.glassfish.build:spec-version-maven-plugin)

BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

# These can be removed when Fedora 38 reaches EOL
Obsoletes:      jakarta-json-jaxrs < 1.1.6-5
Obsoletes:      jakarta-json-jaxrs-1x < 1.1.6-5

# These can be removed when Fedora 41 reaches EOL
Obsoletes:      jakarta-json-impl < 2.0.0
Obsoletes:      jakarta-json-api < 2.0.0
Provides:       jakarta-json-api = %{version}-%{release}

%description
Jakarta JSON Processing provides portable APIs to parse, generate,
transform, and query JSON documents.

%{?javadoc_package}

%prep
%autosetup -n jsonp-api-%{version}-RELEASE

# org.eclipse.ee4j:project is not available in Fedora
%pom_remove_parent api

# Unnecessary plugins for an RPM build
%pom_remove_plugin org.glassfish.copyright:glassfish-copyright-maven-plugin api
%pom_remove_plugin org.apache.maven.plugins:maven-javadoc-plugin api
%pom_remove_plugin org.codehaus.mojo:buildnumber-maven-plugin api

# This plugin is not available in Fedora
%pom_remove_plugin com.github.spotbugs:spotbugs-maven-plugin api

%build
cd api
%mvn_build
cd -

%install
cd api
%mvn_install
cd -
ln -s api/.mfiles-javadoc .

%files -f api/.mfiles
%doc README.md
%license LICENSE.md NOTICE.md


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.1.3-2.mga10
+ Revision: 2223401
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 2.1.3-1.mga10
+ Revision: 2066958
- new version 2.1.3 for java 21

* Thu Sep 14 2023 daviddavid <daviddavid> 2.1.2-1.mga10
+ Revision: 1986501
- Version 2.1.2

* Sat Mar 26 2022 umeabot <umeabot> 1.1.6-2.mga9
+ Revision: 1827651
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 neoclust <neoclust> 1.1.6-1.mga8
+ Revision: 1660473
- imported package jakarta-json

